commit 4a3bef8ac3b91354c6c10b5f6af10ead9d4fe49a
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Nov 18 18:45:19 2009 -0500

    Bump version to 2.8.0

 README                  |   32 ++++++++++++++++++++++++++++++--
 configure.in            |    2 +-
 fontconfig/fontconfig.h |    4 ++--
 3 files changed, 33 insertions(+), 5 deletions(-)

commit 2e44cbe1b9bf466718167e9e05077743df36ab21
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Nov 18 18:45:06 2009 -0500

    Bump libtool revision in preparation for release

 configure.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 91a73751dcd4fd2d2e4e8bcb98af53098c721224
Author: Tor Lillqvist <tml@iki.fi>
Date:   Wed Nov 18 21:56:16 2009 +0200

    Improve zip "distribution"

    Don't put entries for directories in the zip file. Fetch manpages from
    correct place.

 fontconfig-zip.in |    8 ++------
 1 files changed, 2 insertions(+), 6 deletions(-)

commit bb8fdae8ad6f0a857569b3e09cf21f1af6b4a41b
Author: Tor Lillqvist <tml@iki.fi>
Date:   Wed Nov 18 21:54:39 2009 +0200

    Use correct autoconf variable

    Use LIBT_CURRENT_MINUS_AGE instead of the undefined
    lt_current_minus_age for the name of the DLL when generating the MS
    style import library.

 src/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 1845f3100d15927cc536bc3d38f140c139fb5614
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Nov 18 14:39:34 2009 -0500

    [fc-arch] Rename architecture names to better reflect what they are

    We only care about three properties in the arch:

      - endianness
      - pointer size
      - for 32-bit archs, whether double is aligned on 4 or 8 bytes

    This leads to the following 6 archs (old name -> new name):

	x86    -> le32d4
	mipsel -> le32d8
	x86-64 -> le64
	m68k   -> be32d4
	ppc    -> be32d8
	ppc64  -> be64

 fc-arch/fcarch.tmpl.h |   67
 +++++++++++++++++++++++++------------------------
 1 files changed, 34 insertions(+), 33 deletions(-)

commit d5ebf48e34e9235cf10e9f7beb49af74823c3fc6
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Wed Nov 18 14:08:00 2009 -0500

    [fc-arch] Beautify the arch template

 fc-arch/fc-arch.c     |   10 +++++-----
 fc-arch/fcarch.tmpl.h |   42 ++++++++++++++++++++++++++++++++++--------
 2 files changed, 39 insertions(+), 13 deletions(-)

commit d074706b507226427f5a4018e78fe120a01eb53d
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Wed Nov 18 09:40:11 2009 -0500

    [fc-case] Update CaseFolding.txt to Unicode 5.2.0

 fc-case/CaseFolding.txt |  116
 +++++++++++++++++++++++++++++++++++++++++++++--
 1 files changed, 112 insertions(+), 4 deletions(-)

commit 13781ba00b0ded28319ff417a254c620231973f1
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Wed Nov 18 09:36:23 2009 -0500

    [fc-glyphname] Remove Adobe glyphlist

    It was unused.

 fc-glyphname/glyphlist.txt | 4291
 --------------------------------------------
 1 files changed, 0 insertions(+), 4291 deletions(-)

commit d2fb683796f41a68edec53f26e524fd06725eef8
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Wed Nov 18 09:35:40 2009 -0500

    Clean up Makefile's a bit

 fc-arch/Makefile.am	  |    4 +---
 fc-case/Makefile.am	  |    7 +++----
 fc-glyphname/Makefile.am |    3 ++-
 fc-lang/Makefile.am	  |    2 +-
 src/Makefile.am	  |   12 +++++++++---
 5 files changed, 16 insertions(+), 12 deletions(-)

commit 192927225c447a8eaba613838aff93f82dee41d0
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Wed Nov 18 09:26:24 2009 -0500

    [fc-glyphname] Rename internal arrays to prefix with _fc_

    Although they were static, I was still surprised that gdb was seeing
    our variable "glyphs".  Not helpful.

 fc-glyphname/fc-glyphname.c |	  6 +++---
 src/fcfreetype.c	     |	 13 ++++++-------
 2 files changed, 9 insertions(+), 10 deletions(-)

commit 3e5e83e12e051d6ac734f08609c6c584b0f0b807
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Wed Nov 18 09:26:01 2009 -0500

    [src] Create fcglyphname.h automatically

 src/Makefile.am |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 040c98bcc40617ecbc9eb7e16b1714ebd256cfdc
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Wed Nov 18 09:25:42 2009 -0500

    [fc-glyphname] Cleanup Makefile.am

 fc-glyphname/Makefile.am |    8 +++-----
 1 files changed, 3 insertions(+), 5 deletions(-)

commit 77f4e60a32971a815b85f187712191724a00b856
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Wed Nov 18 09:10:05 2009 -0500

    Remove bogus comment

    Last night in between my dreams I also noticed that we support Unicode
    values up to 0x01000000 and not 0x00100000 which I thought before.
    This covers the entire Unicode range.

 src/fccharset.c |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit a90a3ad97a7cee10225190e13a576e55871b9441
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Tue Nov 17 12:10:01 2009 -0500

    Make sure fclang.h and fcarch.h are built

 src/Makefile.am |    7 ++++++-
 1 files changed, 6 insertions(+), 1 deletions(-)

commit a3b2426819836ab2454c6a7bad27c382f4a245bf
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon Nov 16 18:29:26 2009 -0500

    [lang] Fix serializing LangSet from older versions

 src/fclang.c |    9 ++++++---
 1 files changed, 6 insertions(+), 3 deletions(-)

commit 8480c6f86327877fce729ebb01b52bd7a40ddfc5
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon Nov 16 17:38:40 2009 -0500

    [arch] Try to ensure proper FcLangSet alignment in arch

 fc-arch/fc-arch.c     |    5 +++--
 fc-arch/fcarch.tmpl.h |   16 ++++++++--------
 src/fclang.c	       |    2 +-
 3 files changed, 12 insertions(+), 11 deletions(-)

commit dffcb2a083bc5f959ed96dbdf0f365ebc0e710cc
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon Nov 16 17:00:50 2009 -0500

    [xml] Remove unused code

 src/fcxml.c |	 12 ------------
 1 files changed, 0 insertions(+), 12 deletions(-)

commit b2d910123008115813a5cd623389189a2d66880b
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon Nov 16 16:57:53 2009 -0500

    [int] Remove more unused macros

 src/fcint.h |	  4 ----
 1 files changed, 0 insertions(+), 4 deletions(-)

commit 247c4f3df21582260c4799bdbda2be1c13cc8901
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon Nov 16 15:48:20 2009 -0500

    Enable automake silent rules

 configure.in |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 963820fcbfdb537fd956f8863f8793cf22093c5d
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon Nov 16 15:46:46 2009 -0500

    [int] Remove fc_value_* macros that did nothing other than renaming

 src/fcint.h   |    6 ------
 src/fcmatch.c |    8 ++++----
 src/fcpat.c   |   12 ++++++------
 3 files changed, 10 insertions(+), 16 deletions(-)

commit 888f9427ae84195104855d2bb2fbb6d44067a998
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon Nov 16 15:43:08 2009 -0500

    [int] Remove fc_storage_type() in favor of direct access to v->type

 src/fcint.h   |    1 -
 src/fcmatch.c |    2 +-
 src/fcpat.c   |    2 +-
 3 files changed, 2 insertions(+), 3 deletions(-)

commit 486fa46893d070485738de6e2c0d418650662d63
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon Nov 16 15:41:58 2009 -0500

    Remove unused macros

 src/fcint.h |	  5 -----
 1 files changed, 0 insertions(+), 5 deletions(-)

commit 1f4e6fecde22fd4ce8336b01a5c32c533fcb8bac
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon Nov 16 15:39:16 2009 -0500

    Bump cache version up from 2 to 3 and fix FcLangSet caching/crash

    Protect cache against future expansions of FcLangSet (adding new
    orth files).  Previously, doing so could change the size of
    that struct.  Indeed, that happened between 2.6.0 and 2.7.3, causing
    crashes.  Unfortunately, sizeof(FcLangSet) was not checked in
    fcarch.c.

    This changes FcLangSet code to be able to cope with struct size
    changes.
    And change cache format, hence bumping from 2 to 3.

 fontconfig/fontconfig.h |    2 +-
 src/fcint.h		 |    2 +-
 src/fclang.c		 |   67
 ++++++++++++++++++++++++++++++++++++----------
 3 files changed, 54 insertions(+), 17 deletions(-)

commit 6b1fc678ca59df3f3f1ffac0e509cf485c9df0c0
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon Nov 16 16:57:10 2009 -0500

    [int] Define MIN/MAX/ABS macros

 src/fcfreetype.c |    3 ---
 src/fcint.h	  |    4 ++++
 2 files changed, 4 insertions(+), 3 deletions(-)

commit b393846860a390ebe35b19320b5eaf9272084042
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon Nov 16 15:17:56 2009 -0500

    [fc-arch] Add FcAlign to arch signature

 fc-arch/fc-arch.c     |    5 +++--
 fc-arch/fcarch.tmpl.h |   16 ++++++++--------
 2 files changed, 11 insertions(+), 10 deletions(-)

commit 8009229bc5cd9b540ff56a47ddc32ccada2679b0
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon Nov 16 15:12:52 2009 -0500

    Move FcAlign to fcint.h

 src/fcint.h	   |	8 ++++++++
 src/fcserialize.c |	8 --------
 2 files changed, 8 insertions(+), 8 deletions(-)

commit 36ae1d9563cff4966b293f816cf9eb25c8ebb857
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon Nov 9 13:17:17 2009 -0500

    Clarify default confdir and cachedir better.

    Also remove --with-docdir.	It can be set by setting docdir variable.

 configure.in	 |   19 ++-----------------
 doc/Makefile.am |    2 --
 2 files changed, 2 insertions(+), 19 deletions(-)

commit b322eb4d7a90778dc9f08c73036836deba7e463e
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Tue Sep 8 11:45:26 2009 -0400

    Bump version to 2.7.3

 README			 |   14 ++++++++++++--
 configure.in		 |    2 +-
 fontconfig/fontconfig.h |    2 +-
 3 files changed, 14 insertions(+), 4 deletions(-)

commit afc845d930877ac62f6d5a5f50ea87b5182d0a4a
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Tue Sep 8 11:44:59 2009 -0400

    Bump libtool version in preparation for release

 configure.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 5e544b32d8dc98737c7a268a6a5f877207284e9a
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Sun Sep 6 22:10:22 2009 -0400

    Use default config in FcFileScan() and FcDirScan()

    Before a NULL config was passed down adn essentially FcFileScan was
    equivalent to FcFreeTypeQuery.  Now fc-scan tool correctly applies
    the configuration to the scanned patterns.

 src/fcdir.c |	  4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 25436fd08fa6d0825a2f7c7b5d51e34873a05187
Author: Roozbeh Pournader <roozbeh@gmail.com>
Date:	Wed Sep 2 20:03:42 2009 -0700

    Updated Arabic, Persian, and Urdu orthographies

    - Arabic (ar), Persian (fa), and Urdu (ur) now use generic forms
    (bug #23004)
    - Persian (fa) orthography updated to latest standards and
    orthographies
    - Persian dialects Dari/Eastern Farsi (prs) and Western Farsi
    (pes) added

 fc-lang/ar.orth  |   81
 ++++++++++-------------------------------------------
 fc-lang/fa.orth  |   80
 +++++++++++++++++++++++++++++++++--------------------
 fc-lang/pes.orth |   26 +++++++++++++++++
 fc-lang/prs.orth |   29 +++++++++++++++++++
 fc-lang/ur.orth  |   77
 ++++++++++++++++++++++++++------------------------
 5 files changed, 161 insertions(+), 132 deletions(-)

commit d9d8b8826402ca75e882a427392bc8209ae8ff1a
Author: Roozbeh Pournader <roozbeh@gmail.com>
Date:	Wed Sep 2 18:54:24 2009 -0700

    Correct Ewe (ee) orthography to use U+025B (bug #20711)

 fc-lang/ee.orth |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit e52fdbd2bc1b9589ca0adc4b0c143034ff60dd18
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon Aug 31 17:32:36 2009 -0400

    Bump version to 2.7.2

 README			 |   19 +++++++++++++++++--
 configure.in		 |    2 +-
 fontconfig/fontconfig.h |    2 +-
 3 files changed, 19 insertions(+), 4 deletions(-)

commit a74cfb63cb6af3c357b9c33d9f28b9cea5ff3e72
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon Aug 31 17:32:13 2009 -0400

    Bump libtool version for release

 configure.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit c5f0a65b36bc863d67bbf1f334262c35445ce610
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Tue Aug 25 20:40:30 2009 -0400

    Revert "Fix FcNameUnparseLangSet()" and redo it

    This reverts commit 5c6d1ff23bda4386984a1d6e4c024958f8f5547c and
    fixes that bug using the new reverse-map I added in the previous
    commit.

 src/fclang.c |   29 ++++++++++++++++++-----------
 1 files changed, 18 insertions(+), 11 deletions(-)

commit d354a321ee51f0bb70a39faeed541d1a90477d7d
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Tue Aug 25 20:39:20 2009 -0400

    Bug 23419 - "contains" expression seems not working on the fontconfig
    rule

    Fix bug in FcLangSetContains(), similar to
    5c6d1ff23bda4386984a1d6e4c024958f8f5547c

 fc-lang/fc-lang.c |   20 +++++++++++++++++---
 src/fclang.c	   |	4 ++--
 2 files changed, 19 insertions(+), 5 deletions(-)

commit f33a23133ecbcc981745051f7c34d96b33b57447
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Fri Aug 21 13:41:41 2009 -0400

    Bug 22037 - No Fonts installed on a default install on Windows
    Server 2003

    Make it easy to install on older Windows

 src/fcxml.c |	  4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 8b1ceef0b7f41703775c163d6ac595a5407e9159
Author: Tor Lillqvist <tml@iki.fi>
Date:	Fri Aug 14 00:16:18 2009 +0300

    Use multi-byte codepage aware string function on Windows

    The East Asian double-byte codepages have characters with backslash as
    the second byte, so we must use _mbsrchr() instead of strrchr() when
    looking at pathnames in the system codepage.

 src/fcxml.c |	 11 +++++++++--
 1 files changed, 9 insertions(+), 2 deletions(-)

commit d15678127aeea96c9c8254a171c2f0af0bd7d140
Author: Tor Lillqvist <tml@iki.fi>
Date:	Fri Aug 14 00:08:17 2009 +0300

    Fix heap corruption on Windows in FcEndElement()

    Must not call FcStrFree() on a value returned by
    FcStrBufDoneStatic(). In the Windows code don't bother with dynamic
    allocation, just use a local buffer.

 src/fcxml.c |	 43 +++++++++++--------------------------------
 1 files changed, 11 insertions(+), 32 deletions(-)

commit a1b6e34a9a17a4a675bdc993aa465b92d7122376
Author: Tor Lillqvist <tml@iki.fi>
Date:	Fri Aug 14 00:02:59 2009 +0300

    Fix MinGW compilation

    Need to define _WIN32_WINNT as 0x0500 to get declaration for
    GetSystemWindowsDirectory().

 src/fcxml.c |	  1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 161620108bbb4e70f2817481e4d5bc26772fe67e
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Tue Jul 28 14:24:21 2009 -0400

    [ja.orth] Comment out FULLWIDTH YEN SIGN (#22942)

 fc-lang/ja.orth |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 7c12181f7a75a434e2139f4bee794046258342cf
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Tue Jul 28 14:23:10 2009 -0400

    Improve charset printing

 src/fcdbg.c  |    4 ++--
 src/fclang.c |    4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit d2c8ac373e9ac45df66627cfc42679636d017f6e
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon Jul 27 17:53:26 2009 -0400

    Bump version to 2.7.1

 README			 |   27 +++++++++++++++++++++++++--
 configure.in		 |    4 ++--
 fontconfig/fontconfig.h |    2 +-
 3 files changed, 28 insertions(+), 5 deletions(-)

commit 16630692ec590bd70f4e426125e358251e05435d
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon Jul 27 17:51:17 2009 -0400

    Update .gitignore

 .gitignore |	 1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 50d937b0e110ee21d9861b8fb973d62534db98ae
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon Jul 27 17:48:29 2009 -0400

    Bump libtool versions that 2.7.0 (I forgot to do back then)

 configure.in |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 273e22c71f78281ade1c5c30a25ef10d214d7ea6
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon Jul 27 15:07:12 2009 -0400

    Hardcode /etc/fonts instead of @CONFDIR@ in docs (#22911)

    We distribute the docs, so it makes little sense to distribute with
    @CONFDIR@ replaced.  Until we find a better solution, I've hardcoded
    /etc/fonts now.

 doc/confdir.sgml.in |	  3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 21384990ffd045cc0f8379a325612aba6d810359
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon Jul 27 14:50:44 2009 -0400

    [doc] Add ~/fonts.conf.d to user docs

 doc/fontconfig-user.sgml |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

commit 7575c666619c58df00659d4e70b01104b8e114a5
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Sat Jul 25 16:38:52 2009 -0400

    TT_MS_ID_UCS_4 is really UTF-16BE, not UTF-32

    Reported by Yuriy Kaminskiy.

 src/fcfreetype.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 558581c434abf0d96c46cf3bb1454be6806e1ffc
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Fri Jul 24 14:59:07 2009 -0400

    Fix doc syntax (#22902)

 fc-match/fc-match.sgml |    3 ++-
 fc-scan/fc-scan.sgml	|    2 +-
 2 files changed, 3 insertions(+), 2 deletions(-)

commit 5c6d1ff23bda4386984a1d6e4c024958f8f5547c
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Wed Jul 22 19:25:24 2009 -0400

    Fix FcNameUnparseLangSet()

    Was broken since ffd6668b469508177c4baf7745ae42aee5b00322

 src/fclang.c |   29 +++++++++++------------------
 1 files changed, 11 insertions(+), 18 deletions(-)

commit d9741a7f1a73f718ab20b0582fff8aebeba01077
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Wed Jul 22 19:01:06 2009 -0400

    Remove unused macros

 src/fcmatch.c |   33 ++-------------------------------
 1 files changed, 2 insertions(+), 31 deletions(-)

commit 792ce655cb06c678d4a4ff091866fd0531b141fb
Author: Karl Tomlinson <karlt@karlt.net>
Date:	Wed Jul 22 08:39:23 2009 -0400

    Don't change the order of names unnecessarily (#20128)

    so that TT_NAME_ID_PREFERRED_FAMILY is consistently preferred over
    TT_NAME_ID_FONT_FAMILY when both are specified for the default
    language.

 src/fclist.c |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit 327fc9d183ba193c307d0ecaec8ad1f4e6ca1330
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Tue Jul 21 15:41:47 2009 -0400

    Use GetSystemWindowsDirectory() instead of GetWindowsDirectory()
    (#22037)

 src/fcxml.c |	  6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 86dd857447f69cf89fd47259055b150f62519c17
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Tue Jul 21 15:39:58 2009 -0400

    Improve libtool version parsing (#22122)

 autogen.sh |	 2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 16e55c7c85fc5771349172d6eb989dddd48c5c25
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon Jul 20 16:30:12 2009 -0400

    Fix leak with string VStack objects

 src/fcxml.c |	  2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit c0ffd7733a735bf2e10834925c63f0039c408649
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Fri Jul 10 18:09:42 2009 +0100

    Add Inconsolata to monospace config (#22710)

 conf.d/45-latin.conf |    1 +
 conf.d/60-latin.conf |    1 +
 2 files changed, 2 insertions(+), 0 deletions(-)

commit 55e202a62d95e25cf2c4897afd66eab5711195c3
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Sun Jun 28 14:14:46 2009 -0400

    Remove unused ftglue code

 src/fcfreetype.c |   66
 +++++++++++++++++++++++-------------------------------
 src/ftglue.c	  |   62
 +-------------------------------------------------
 src/ftglue.h	  |   33 ---------------------------
 3 files changed, 30 insertions(+), 131 deletions(-)

commit 52742ff86b60b1d244c1e87611aff5ceee46e596
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Sun Jun 28 13:49:09 2009 -0400

    Replace spaces with tabs in conf files

 conf.d/25-unhint-nonlatin.conf |   32 ++++----
 conf.d/30-metric-aliases.conf	|   48 +++++-----
 conf.d/30-urw-aliases.conf	|   36 ++++----
 conf.d/65-fonts-persian.conf	|  184
 ++++++++++++++++++++--------------------
 conf.d/90-synthetic.conf	|    8 +-
 5 files changed, 154 insertions(+), 154 deletions(-)

commit 57cf838cccda12dd171d3834b3e9b1275467d9e2
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Sun Jun 28 13:46:41 2009 -0400

    Fix win32 build

 src/fcint.h |	  2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 76374f0edef04e21859122dd8a2026b64fd2b273
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Wed Jun 24 15:19:13 2009 -0400

    git-tag -s again

 new-version.sh |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 0f40912599a4be1b961c091733ed86d08a4e14e1
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Wed Jun 24 15:04:11 2009 -0400

    Bump version to 2.7.0

 README			 |  222
 ++++++++++++++++++++++++++++++++++++++++++++++-
 configure.in		 |    2 +-
 fontconfig/fontconfig.h |    2 +-
 3 files changed, 222 insertions(+), 4 deletions(-)

commit 3734d6a5a2c5326bf1cd8b7cc7f3f07fe6943aa5
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Wed Jun 24 15:03:32 2009 -0400

    Remove keithp's GPG key id

 new-version.sh |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit d07059b7a3f8044904d884818d5e03596e7cc1a2
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Wed Jun 24 14:43:32 2009 -0400

    Fix distcheck

 Makefile.am |	  7 +++----
 1 files changed, 3 insertions(+), 4 deletions(-)

commit b65fa0c3113bd1e1cec38d05f8c4f45f78e3e044
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Thu Jun 11 07:08:10 2009 -0400

    Bug 22154 -- fontconfig.pc doesn't include libxml2 link flags

 fontconfig.pc.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 3164ac76229d9817120015401c1f532934d0a3e2
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Fri Jun 5 22:59:06 2009 -0400

    [xml] Intern more strings

 src/fcxml.c |	  9 ++++-----
 1 files changed, 4 insertions(+), 5 deletions(-)

commit 390c05e64a3716f6ea6fd81cf3ab63439051fbaa
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Fri Jun 5 22:32:31 2009 -0400

    [xml] Allocate FcExpr's in a pool in FcConfig

    Reduces number of malloc's for FcExprs from hundreds into single
    digits.

 src/fccfg.c |	 32 +++++++++++++++++++++++++
 src/fcint.h |	 14 +++++++++++
 src/fcxml.c |	 75
 +++++++++++++++++++++++++---------------------------------
 3 files changed, 78 insertions(+), 43 deletions(-)

commit 398d436441d741d6f8edcc25ca01aa9715c0731c
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Fri Jun 5 21:37:01 2009 -0400

    [xml] Mark more symbols static

 src/fcint.h |	 30 ------------------------------
 src/fcxml.c |	 22 ++++++++++++----------
 2 files changed, 12 insertions(+), 40 deletions(-)

commit a96ecbfa20fbc66fad3847b1d2bc6fb3cd712c91
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Fri Jun 5 18:40:46 2009 -0400

    [xml] Centralize FcExpr allocation

    To be improved, using a central pool.

 src/fcxml.c |	 46 ++++++++++++++++++++--------------------------
 1 files changed, 20 insertions(+), 26 deletions(-)

commit 5aebb3e299d877c4a66f409a7d448b2ac4e94be0
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Fri Jun 5 18:27:47 2009 -0400

    Remove unused prototypes and function

 src/fcint.h |	 16 ++--------------
 src/fcxml.c |	  6 ------
 2 files changed, 2 insertions(+), 20 deletions(-)

commit 900723f3d2396cfb606e5eceb8df0b71c4ffc0dd
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Fri Jun 5 18:16:38 2009 -0400

    [charset] Grow internal FcCharset arrays exponentially

 src/fccharset.c |   65
 ++++++++++++++++++++++++++++++------------------------
 1 files changed, 36 insertions(+), 29 deletions(-)

commit cce69b07efd82056c8eb855ef7ac7e02c94439da
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Fri Jun 5 17:15:53 2009 -0400

    Always set *changed in FcCharsetMerge

 src/fccharset.c |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit 86bdf4598fb46f7f2a36151016a5d318da073d60
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Fri Jun 5 16:57:35 2009 -0400

    Add XXX note about Unicode Plane 16

 src/fccharset.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit efe5eae26b2443363b1000b3197d1731a40f8af9
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Fri Jun 5 16:49:07 2009 -0400

    Simplify FcValueSave() semantics

 src/fccfg.c |	  3 ++-
 src/fcpat.c |	 12 ++----------
 2 files changed, 4 insertions(+), 11 deletions(-)

commit 8ea654b2aa6b4e97b369e299325da49807559511
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon Jun 1 21:14:56 2009 -0400

    Use/prefer WWS family/style (name table id 21/22)

 src/fcfreetype.c |   12 ++++++++++++
 1 files changed, 12 insertions(+), 0 deletions(-)

commit 76845a40c58b092a9b1812830dc98b6f32e13da6
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon May 25 20:26:56 2009 -0400

    Mark matchers array const (#21935)

 src/fcmatch.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit aa82a4f81d4d5e547c84266e66274d55e3843746
Author: Roozbeh Pournader <roozbeh@gmail.com>
Date:	Thu May 7 14:31:11 2009 -0700

    Reorganize Panjabi/Punjabi and Lahnda orthographies (bug #19890)

    The correct ISO 639 code for Pakistani/Western Panjabi seems to be
    'lah',
    not 'pa'. We are keeping 'pa_pk.orth' for compatiblity with glibc.

    Signed-off-by: Behdad Esfahbod <behdad@behdad.org>

 fc-lang/Makefile.am |	  5 ++-
 fc-lang/lah.orth    |	 35 +++++++++++++++++++++++++++++++++
 fc-lang/pa.orth     |	 53
 +++++++++++++++++++++++++++++++++++++++++++++++++++
 fc-lang/pa_in.orth  |	 46 --------------------------------------------
 fc-lang/pa_pk.orth  |	  7 +++--
 5 files changed, 95 insertions(+), 51 deletions(-)

commit 58aa0c8ee83f7bbd232401583106387517d216a9
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Thu Apr 9 13:31:18 2009 -0400

    Detect TrueType Collections by checking the font data header

    Instead of checking for "face->num_faces >1". (GNOME bug #577952)

 src/ftglue.c |   11 +++++++++--
 1 files changed, 9 insertions(+), 2 deletions(-)

commit 1dd95fcb8bb9b5feeabee0dfe334448733f5cb4c
Author: Serge van den Boom <svdb+freedesktop.org@stack.nl>
Date:	Sun Apr 5 19:00:18 2009 -0400

    Correctly handle mmap() failure (#21062)

 src/fccache.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 35c51811515ab316c7279bd779f6685f2aaf7e81
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Wed Mar 25 23:40:40 2009 -0400

    [fc-cache] Remove obsolete sentence from man page

 fc-cache/fc-cache.sgml |    5 +----
 1 files changed, 1 insertions(+), 4 deletions(-)

commit ffd6668b469508177c4baf7745ae42aee5b00322
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Wed Mar 18 19:28:52 2009 -0400

    [fc-lang] Make LangSet representation in the cache files stable

    Fontconfig assigns an index number to each language it knows about.
    The index is used to index a bit in FcLangSet language map.  The bit
    map is stored in the cache.

    Previously fc-lang simply sorted the list of languages and assigned
    them an index starting from zero.  Net effect is that whenever new
    orth files were added, all the FcLangSet info in the cache files would
    become invalid.  This was causing weird bugs like this one:

      https://bugzilla.redhat.com/show_bug.cgi?id=490888

    With this commit we fix the index assigned to each language.
    The index
    will be based on the order the orth files are passed to fc-lang.  As a
    result all orth files are explicitly listed in Makefile.am now, and
    new additions should be made to the end of the list.  The list is made
    to reflect the sorted list of orthographies from 2.6.0 released
    followed
    by new additions since.

    This fixes the stability problem.  Needless to say, recreating caches
    is necessary before any new orthography is recognized in existing
    fonts,
    but at least the existing caches are still valid and don't cause bugs
    like the above.

 configure.in	     |	  7 --
 fc-lang/Makefile.am |	248
 ++++++++++++++++++++++++++++++++++++++++++++++++++-
 fc-lang/fc-lang.c   |	 49 +++++++---
 src/fclang.c	     |	  4 +-
 4 files changed, 282 insertions(+), 26 deletions(-)

commit 4d13536db49bdfba97f84f702325d1a99796c06b
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Wed Mar 18 18:50:14 2009 -0400

    [fcstr] Remove unused variable

 src/fcstr.c |	  2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit bb36e67685dc4139fc4199c57c9d74d97f7923c8
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Wed Mar 18 18:43:09 2009 -0400

    [fc-lang] Fix bug in country map generation

    Previously the county map code was using an uninitialized variable and
    hence was totally failing to populate same-lang-different-territory
    map.

 fc-lang/fc-lang.c |	2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 0f11354877323edc2145f687f9127d2de83c5b3b
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Tue Mar 17 12:52:48 2009 -0400

    Revert "[conf] Disable hinting when emboldening (#19904)" (#20599)

    This reverts commit 10609af4aa4030a15c19573198462fa002d2ef13.
    Apparently disabling hinting can cause worse rendering with certain
    fonts.  This is better handled on a per font basis.

 conf.d/90-synthetic.conf |   11 -----------
 1 files changed, 0 insertions(+), 11 deletions(-)

commit 7042e236495399aab4eaf268232177d4b1680a12
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon Mar 16 17:59:50 2009 -0400

    [Makefile.am] Don't clean ChangeLog in distclean

 Makefile.am |	  2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit caeea376da54a6337bfcb1bb20f50c8c2302458f
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Fri Mar 13 17:26:21 2009 -0400

    Document FcPatternFormat() format

 doc/Makefile.am	   |	2 +
 doc/fcformat.fncs	   |  301
 +++++++++++++++++++++++++++++++++++++++++++++
 doc/fcpattern.fncs	   |   20 ---
 doc/fontconfig-devel.sgml |	2 +
 src/fcformat.c		   |   94 +++++++-------
 5 files changed, 353 insertions(+), 66 deletions(-)

commit f6d83439890c165e5a7f6a8a746ffdb189dbbd0d
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Fri Mar 13 12:11:13 2009 -0400

    [fcformat] Fix default-value handling

 src/fcformat.c |   21 +++++++++++----------
 1 files changed, 11 insertions(+), 10 deletions(-)

commit 3074a73b418b40135d4a4f4e0713fcf987d34795
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Thu Mar 12 16:00:08 2009 -0400

    Replace 'KEITH PACKARD' with 'THE AUTHOR(S)' in license text in
    all files

 COPYING			 |    4 ++--
 Makefile.am			 |    4 ++--
 conf.d/65-fonts-persian.conf	 |    2 +-
 conf.d/Makefile.am		 |    4 ++--
 config/Makedefs.in		 |    4 ++--
 configure.in			 |    4 ++--
 doc/Makefile.am		 |    4 ++--
 doc/confdir.sgml.in		 |    4 ++--
 doc/edit-sgml.c		 |    4 ++--
